# Type Alias FieldConfiguration<T>

type FieldConfiguration<T extends string = string> = {
description?: string;
label: string;
mandatory: boolean;
margin?: string;
name: T;
widget: Widget;
}

#### Type Parameters

- T extends string = string

- Defined in jamespot-user-api/src/types/model.ts:347

##### Index

### Properties

description?
label
mandatory
margin?
name
widget

## Properties

### `Optional` description

description?: string

- Defined in jamespot-user-api/src/types/model.ts:349

### label

label: string

- Defined in jamespot-user-api/src/types/model.ts:348

### mandatory

mandatory: boolean

- Defined in jamespot-user-api/src/types/model.ts:352

### `Optional` margin

margin?: string

- Defined in jamespot-user-api/src/types/model.ts:353

### name

name: T

- Defined in jamespot-user-api/src/types/model.ts:351

### widget

widget: Widget

- Defined in jamespot-user-api/src/types/model.ts:350